#!/bin/bash

echo $1


FILE=working
if [ -d "$FILE" ]; then
    echo "$FILE exists."
    rm working/*
else
    mkdir working
fi

FILE=save_runs
if [ -d "$FILE" ]; then
    echo "$FILE exists."
else
    mkdir save_runs
fi

FILE=save_runs/$1
if [ -d "$FILE" ]; then
    echo "$FILE exists."
    rm save_runs/$1/*
else
    mkdir save_runs/$1
fi


# ddata has a folder per dataset, requires a .json and a .csv
cp ddata/$1/$1.json working/.
cp ddata/$1/$1.csv working/.

ls working/*


echo "Starting daemon"


python3 graph_daemon.py -f ddata/$1/$1.json -i working/$1.csv -o working/output.txt -q working/query.txt -m working/message.txt -u url.txt -up publish/ -dm publish/dumpmodel.txt -dd publish/dumpdata.txt -k 2 -p 3 -thC 0 -thM 0 -save save_runs/$1/

python3 analyse_graphs.py save_runs/$1/



