#!/bin/bash

echo $1


FILE=working
if [ -d "$FILE" ]; then
    echo "$FILE exists."
    rm working/*
else
    mkdir working
fi

FILE=save_runs
if [ -d "$FILE" ]; then
    echo "$FILE exists."
else
    mkdir save_runs
fi

FILE=save_runs/$1
if [ -d "$FILE" ]; then
    echo "$FILE exists."
    rm save_runs/$1/*
else
    mkdir save_runs/$1
fi


# ddata has a folder per dataset, requires a .json and a .csv
cp ddata/$1/$1.json working/.
cp ddata/$1/$1.csv working/my_input.txt

ls working/*


echo "Starting daemon"


cont=1

for thc in {0.005,0.01,0.02,0.03,0.04}
do
    for thm in {0.005,0.025,0.05,0.075,0.1,0.2}
    do
    
    
    FILE=working/my_input.txt
    if [ -f "$FILE" ]; then
        mv working/my_input.txt working/$1.csv
    fi
    
    ls working/*
    
    cont=$(($cont+20))
    
    echo $thc $thm $cont
    
    mkdir save_runs/$1/th_${thc}_${thm}
    rm save_runs/$1/th_${thc}_${thm}/*

    
    python3 graph_daemon.py -f ddata/$1/$1.json -i working/$1.csv -o working/output.txt -q working/query.txt -m working/message.txt -u url.txt -up publish/ -dm publish/dumpmodel.txt -dd publish/dumpdata.txt -k 2 -p 3 -thC $thc -thM $thm -save save_runs/$1/th_${thc}_${thm}/
    
    echo $thc $thm
    
    python3 analyse_graphs.py save_runs/$1/th_${thc}_${thm}/ 
    
    done
done
